Bug 204056 - [exp-run] Change the meaning of NO_WRKSUBDIR to force a WRKDIR != WRKSRC.
Summary: [exp-run] Change the meaning of NO_WRKSUBDIR to force a WRKDIR != WRKSRC.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Package Infrastructure (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mathieu Arnold
URL: https://reviews.freebsd.org/D2735
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-27 14:13 UTC by Mathieu Arnold
Modified: 2015-11-05 12:54 UTC (History)
1 user (show)

See Also:
mat: exp-run?


Attachments
fixing linux ports (1.64 KB, patch)
2015-10-30 12:24 UTC, Mathieu Arnold
no flags Details | Diff
wrksrc-2015-11-03.diff (135.90 KB, patch)
2015-11-03 13:41 UTC, Mathieu Arnold
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mathieu Arnold freebsd_committer 2015-10-27 14:13:31 UTC
Patch from phabricator
Comment 1 Antoine Brodin freebsd_committer 2015-10-29 19:36:07 UTC
Exp-run results:

http://package22.nyi.freebsd.org/jail.html?mastername=101i386-default-PR204056

1st round of failures:  183 new failures and ~2400 new ports skipped

+ {"origin"=>"accessibility/linux-f10-atk", "pkgname"=>"linux-f10-atk-1.24.0_1", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"archivers/linux-f10-ucl", "pkgname"=>"linux-f10-ucl-1.03", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"archivers/paq", "pkgname"=>"paq-20140131", "phase"=>"patch", "errortype"=>"patch"}
+ {"origin"=>"archivers/szip", "pkgname"=>"szip-1.12b_2", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"archivers/undms", "pkgname"=>"undms-1.3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/chordpack", "pkgname"=>"chordpack-0.8.1_2", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"audio/cue2toc", "pkgname"=>"cue2toc-0.1", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"audio/linux-f10-alsa-lib", "pkgname"=>"linux-f10-alsa-lib-1.0.21_5", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"audio/linux-f10-arts", "pkgname"=>"linux-f10-arts-1.5.10_1", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"audio/linux-f10-libogg", "pkgname"=>"linux-f10-libogg-1.1.3", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"benchmarks/raidtest", "pkgname"=>"raidtest-1.3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"benchmarks/stream", "pkgname"=>"stream-5.10", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"biology/gff2ps", "pkgname"=>"gff2ps-0.98d_2", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"chinese/CJKUnifonts", "pkgname"=>"zh-CJKUnifonts-0.2.20080216.1_1", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"comms/cdr_read", "pkgname"=>"cdr_read-1.09", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"converters/unix2dos", "pkgname"=>"unix2dos-1.3", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"devel/apr1", "pkgname"=>"apr-1.5.2.1.5.4", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"devel/cvs2html", "pkgname"=>"cvs2html-1.98_1", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"devel/cweb", "pkgname"=>"cweb-3.64a.a", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"devel/easygit", "pkgname"=>"easygit-0.98", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"devel/libcii", "pkgname"=>"libcii-1.1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/libdlmalloc", "pkgname"=>"dlmalloc-2.8.6", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"devel/linux-f10-dbus-libs", "pkgname"=>"linux-f10-dbus-libs-1.2.4_1", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"devel/linux-f10-devtools", "pkgname"=>"linux-f10-devtools-10_2", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"devel/linux-f10-libglade2", "pkgname"=>"linux-f10-libglade2-2.6.3_2", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"devel/linux-f10-libsigc++20", "pkgname"=>"linux-f10-libsigc++20-2.2.2_1", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"devel/linux-f10-ncurses-base", "pkgname"=>"linux-f10-ncurses-base-5.6_2", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"devel/linux-f10-nspr", "pkgname"=>"linux-f10-nspr-4.7.6_1", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"devel/lua-gettext", "pkgname"=>"lua51-gettext-1.5_2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/lua-pty", "pkgname"=>"lua51-pty-1.25", "phase"=>"extract", "errortype"=>"???"}
+ {"origin"=>"devel/mingw32-bin-msvcrt", "pkgname"=>"mingw32-bin-msvcrt-r4.0.3.1.a4.0.3.1", "phase"=>"build", "errortype"=>"makefile"}
+ {"origin"=>"devel/p4d", "pkgname"=>"p4d-2015.1.1240625", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"devel/p4ftpd", "pkgname"=>"p4ftpd-2015.1.1024208", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"devel/p4p", "pkgname"=>"p4p-2015.1.1240625", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"devel/p4web", "pkgname"=>"p4web-2012.1.732581_1", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"devel/py-json-py", "pkgname"=>"py27-json-py-3.4_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/py-urlimport", "pkgname"=>"py27-urlimport-0.42b_1", "phase"=>"extract", "errortype"=>"???"}
+ {"origin"=>"devel/ruby-dialogs", "pkgname"=>"ruby21-dialogs-1.1", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"devel/sedsed", "pkgname"=>"sedsed-1.0", "phase"=>"extract", "errortype"=>"???"}
+ {"origin"=>"devel/sfio", "pkgname"=>"sfio-1999", "phase"=>"extract", "errortype"=>"???"}
+ {"origin"=>"dns/dnswalk", "pkgname"=>"dnswalk-2.0.2_2", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"dns/ipcheck", "pkgname"=>"ipcheck-0.240,1", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"dns/linux-f10-libasyncns", "pkgname"=>"linux-f10-libasyncns-0.7", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"emulators/fmsx", "pkgname"=>"fmsx-4.2", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"emulators/linux_base-c6", "pkgname"=>"linux_base-c6-6.6_6", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"emulators/qmc2", "pkgname"=>"qmc2-0.51", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"emulators/simh", "pkgname"=>"simh-3.9.0", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"games/alephone-data", "pkgname"=>"alephone-data-1.0_10", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"games/alephone-scenarios", "pkgname"=>"alephone-scenarios-1.0_8", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"games/bogged", "pkgname"=>"bogged-1.0.0_2", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"games/crafty-open-enormous", "pkgname"=>"crafty-open-enormous-20070924_1", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"games/crafty-open-large", "pkgname"=>"crafty-open-large-20070909_2", "phase"=>"extract", "errortype"=>"???"}
+ {"origin"=>"games/crafty-open-medium", "pkgname"=>"crafty-open-medium-20070909_2", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"games/doom-data", "pkgname"=>"doom-data-1.0_1", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"games/quake-dpmod", "pkgname"=>"quake-dpmod-20071120_2", "phase"=>"extract", "errortype"=>"???"}
+ {"origin"=>"games/quake2-data", "pkgname"=>"quake2-data-3.20_3", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"games/quake3-data", "pkgname"=>"quake3-data-1.32.b.3_2", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"games/rfksay", "pkgname"=>"rfksay-0.1", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"games/thudboard", "pkgname"=>"thudboard-1.8_1", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"games/traindirector", "pkgname"=>"traindirector-3.6_7", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"games/xasteroids", "pkgname"=>"xasteroids-5.0_2", "phase"=>"patch", "errortype"=>"patch"}
+ {"origin"=>"graphics/fujiplay", "pkgname"=>"fujiplay-1.33_1", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"graphics/gimp-jagged-border-script", "pkgname"=>"gimp-jagged-border-scripts-0.2009.11.12_2", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"graphics/linux-f10-gdk-pixbuf", "pkgname"=>"linux-f10-gdk-pixbuf-0.22.0_1", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"graphics/linux-f10-glew", "pkgname"=>"linux-f10-glew-1.5.1_2", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"graphics/linux-f10-imlib", "pkgname"=>"linux-f10-imlib-1.9.15_1", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"graphics/linux-f10-libmng", "pkgname"=>"linux-f10-libmng-1.0.9_1", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"graphics/pstoepsi", "pkgname"=>"pstoepsi-20020711_5", "phase"=>"patch", "errortype"=>"patch"}
+ {"origin"=>"graphics/springgraph", "pkgname"=>"springgraph-0.88_3", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"irc/irssi-dcc_send_limiter", "pkgname"=>"irssi-dcc_send_limiter-0.8.10_1", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"japanese/VTPSfont", "pkgname"=>"ja-VTPSfont-1.3_2", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"japanese/a2ps", "pkgname"=>"ja-a2ps-1.45_5", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"japanese/bugzilla44", "pkgname"=>"ja-bugzilla44-4.4.9", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"japanese/edict", "pkgname"=>"ja-edict-19990714_5", "phase"=>"stage", "errortype"=>"termios"}
+ {"origin"=>"japanese/edict-utf-8", "pkgname"=>"ja-edict-utf-8-20100420", "phase"=>"extract", "errortype"=>"???"}
+ {"origin"=>"japanese/font-ayu18", "pkgname"=>"ja-font-ayu18-1.3.1.1", "phase"=>"build", "errortype"=>"makefile"}
+ {"origin"=>"japanese/font-ayu20", "pkgname"=>"ja-font-ayu20-1.7.a", "phase"=>"build", "errortype"=>"makefile"}
+ {"origin"=>"japanese/font-elisa10", "pkgname"=>"ja-font-elisa10-1.0_1", "phase"=>"build", "errortype"=>"makefile"}
+ {"origin"=>"japanese/font-elisa8", "pkgname"=>"ja-font-elisa8-1.0_1", "phase"=>"build", "errortype"=>"makefile"}
+ {"origin"=>"japanese/font-jisx0213", "pkgname"=>"ja-font-jisx0213-20040425_6", "phase"=>"build", "errortype"=>"makefile"}
+ {"origin"=>"japanese/font-kaname12", "pkgname"=>"ja-font-kaname12-1.1", "phase"=>"stage", "errortype"=>"makefile"}
+ {"origin"=>"japanese/font-kanji18", "pkgname"=>"ja-font-kanji18-1.0", "phase"=>"extract", "errortype"=>"???"}
+ {"origin"=>"japanese/font-kanji26", "pkgname"=>"ja-font-kanji26-1.0", "phase"=>"extract", "errortype"=>"???"}
+ {"origin"=>"japanese/font-mona-ttf", "pkgname"=>"ja-font-mona-ttf-2.90", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"japanese/gskk", "pkgname"=>"ja-gskk-20041208", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"japanese/jcode.pl", "pkgname"=>"ja-jcode.pl-2.13_2", "phase"=>"patch", "errortype"=>"patch"}
+ {"origin"=>"japanese/skk-jisyo", "pkgname"=>"ja-skk-jisyo-201409", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"japanese/skk-jisyo-cdb", "pkgname"=>"ja-skk-jisyo-cdb-201409", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"japanese/yc.el", "pkgname"=>"ja-yc.el-5.2.1_10,1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"japanese/zipcodes", "pkgname"=>"ja-zipcodes-20150831", "phase"=>"extract", "errortype"=>"???"}
+ {"origin"=>"java/javavmwrapper", "pkgname"=>"javavmwrapper-2.5", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"korean/kaistfonts", "pkgname"=>"ko-kaistfonts-ksc-1.0_4", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"lang/cmucl", "pkgname"=>"cmucl-19f_2", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"lang/linux-f10-tcl85", "pkgname"=>"linux-f10-tcl85-8.5.3_2", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"lang/smlnj", "pkgname"=>"smlnj-110.77", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"lang/tcl-manual", "pkgname"=>"tcl-manual-20131001", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"mail/gml", "pkgname"=>"gml-0.4", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"mail/imaptools", "pkgname"=>"imaptools-1.135", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"mail/mb2md", "pkgname"=>"mb2md-3.20_1", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"mail/msgconvert", "pkgname"=>"msgconvert-20060330_1", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"mail/rlytest", "pkgname"=>"rlytest-1.22", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"mail/x-face-e21", "pkgname"=>"x-face-e21-emacs24-20070306_13", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"mail/xcite", "pkgname"=>"xcite-emacs24-1.60_8", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"math/lll_spect", "pkgname"=>"lll_spect-1.0_1", "phase"=>"patch", "errortype"=>"patch"}
+ {"origin"=>"math/physcalc", "pkgname"=>"physcalc-2.4_1", "phase"=>"patch", "errortype"=>"patch"}
+ {"origin"=>"math/solitaire", "pkgname"=>"solitaire-19980817_1", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"misc/amfm", "pkgname"=>"amfm-1.0", "phase"=>"patch", "errortype"=>"patch"}
+ {"origin"=>"misc/astrolog", "pkgname"=>"astrolog-5.41g_2", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"misc/colwide", "pkgname"=>"colwide-0.01", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"misc/figlet-fonts", "pkgname"=>"figlet-fonts-20121202", "phase"=>"extract", "errortype"=>"???"}
+ {"origin"=>"misc/kenny", "pkgname"=>"kenny-1.7_1", "phase"=>"extract", "errortype"=>"???"}
+ {"origin"=>"misc/metalink-editor", "pkgname"=>"metalink-editor-1.2.0_8", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"misc/umodunpack", "pkgname"=>"umodunpack-0.4", "phase"=>"extract", "errortype"=>"???"}
+ {"origin"=>"multimedia/linux-f10-libtheora", "pkgname"=>"linux-f10-libtheora-1.0rc1_1", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"multimedia/linux-f10-libv4l", "pkgname"=>"linux-f10-libv4l-0.6.2", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"net-mgmt/icmpquery", "pkgname"=>"icmpquery-1.0.3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-mgmt/nagios-check_dhcp.pl", "pkgname"=>"nagios-check_dhcp.pl-0.1", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"net-mgmt/nagios-check_tftp", "pkgname"=>"nagios-check_tftp-1.0.1", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"net/dictd-database", "pkgname"=>"dictd-database-20031009", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"net/linux-f10-nss_ldap", "pkgname"=>"linux-f10-nss_ldap-264_1", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"net/linux-f10-openldap", "pkgname"=>"linux-f10-openldap-2.4.12_2", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"net/lla", "pkgname"=>"lla-0.99.1_1", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"net/netpipes", "pkgname"=>"netpipes-4.2", "phase"=>"stage", "errortype"=>"makefile"}
+ {"origin"=>"net/radreport", "pkgname"=>"radreport-1.3", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"net/tcpshow", "pkgname"=>"tcpshow-1.74_1", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"news/c-nocem", "pkgname"=>"c-nocem-3.7_4", "phase"=>"build-depends", "errortype"=>"???"}
+ {"origin"=>"news/nnap", "pkgname"=>"nnap-1.1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"palm/pilot_makedoc", "pkgname"=>"pilot_makedoc-0.7a_1", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"print/adobe-cmaps", "pkgname"=>"adobe-cmaps-20051217_3", "phase"=>"package", "errortype"=>"configure_error"}
+ {"origin"=>"print/enscriptfonts", "pkgname"=>"enscriptfonts-0.81_1", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"print/texlive-texmf", "pkgname"=>"texlive-texmf-20150523_3", "phase"=>"extract", "errortype"=>"???"}
+ {"origin"=>"print/txtbdf2ps", "pkgname"=>"txtbdf2ps-0.7.1_1", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"russian/p5-XML-Parser-encodings", "pkgname"=>"ru-p5-XML-Parser-encodings-1.03_1", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"science/checkmol", "pkgname"=>"checkmol-0.5_2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"science/medit", "pkgname"=>"medit-2012.02.05_2", "phase"=>"extract", "errortype"=>"???"}
+ {"origin"=>"science/mol2ps", "pkgname"=>"mol2ps-0.4a_2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"security/chaosreader", "pkgname"=>"chaosreader-0.94_1", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"security/ipfilter2dshield", "pkgname"=>"ipfilter2dshield-1.0_2", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"security/l0phtcrack", "pkgname"=>"l0phtcrack-1.5", "phase"=>"extract", "errortype"=>"???"}
+ {"origin"=>"security/linux-f10-libgcrypt", "pkgname"=>"linux-f10-libgcrypt-1.4.4_2", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"security/linux-f10-libgpg-error", "pkgname"=>"linux-f10-libgpg-error-1.6_1", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"security/linux-f10-libtasn1", "pkgname"=>"linux-f10-libtasn1-1.5_1", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"security/linux-f10-openssl", "pkgname"=>"linux-f10-openssl-0.9.8g_1", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"security/pxytest", "pkgname"=>"pxytest-1.36", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"security/py-htpasswd", "pkgname"=>"py27-htpasswd-2008.03.05_2", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"security/sig2dot", "pkgname"=>"sig2dot-0.35", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"security/sshblock", "pkgname"=>"sshblock-1.0_1", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"security/unhide", "pkgname"=>"unhide-20121229", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"shells/v7sh", "pkgname"=>"v7sh-1.0_1", "phase"=>"extract", "errortype"=>"???"}
+ {"origin"=>"sysutils/3dm", "pkgname"=>"3dm-2.11.00.021_1,1", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"sysutils/copytape", "pkgname"=>"copytape-1.0", "phase"=>"patch", "errortype"=>"patch"}
+ {"origin"=>"sysutils/linux-f10-procps", "pkgname"=>"linux-f10-procps-3.2.7", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"sysutils/pdixtract", "pkgname"=>"pdixtract-1.5_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/pstree", "pkgname"=>"pstree-2.39", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/sb16config", "pkgname"=>"sb16config-1.0", "phase"=>"build", "errortype"=>"makefile"}
+ {"origin"=>"sysutils/setcdboot", "pkgname"=>"setcdboot-1.0", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/storcli", "pkgname"=>"storcli-1.16.06", "phase"=>"extract", "errortype"=>"???"}
+ {"origin"=>"sysutils/vils", "pkgname"=>"vils-20020228_1", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"textproc/clit", "pkgname"=>"clit-1.8", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"textproc/diffsplit", "pkgname"=>"diffsplit-1.0", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"textproc/linux-f10-aspell", "pkgname"=>"linux-f10-aspell-0.60.6_1", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"textproc/linux-f10-expat", "pkgname"=>"linux-f10-expat-2.0.1_1", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"textproc/linux-f10-libxml2", "pkgname"=>"linux-f10-libxml2-2.7.3_2", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"vietnamese/vnroff", "pkgname"=>"vi-vnroff-2.1", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"www/bareos-webui", "pkgname"=>"bareos-webui-14.2.1", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"www/cgi-lib.pl", "pkgname"=>"cgi-lib_pl-2.18_1", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"www/demoroniser", "pkgname"=>"demoroniser-1.0.20030916_1", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"www/efront", "pkgname"=>"efront-3.6.14_1", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"www/fira-webfont", "pkgname"=>"fira-webfont-4.104", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"www/htmlpp", "pkgname"=>"htmlpp-4.2a_1", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"www/jawstats", "pkgname"=>"jawstats-0.7.b", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"www/mimetex", "pkgname"=>"mimetex-20120331.1.74", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/ruby-wgettsv", "pkgname"=>"ruby21-wgettsv-0.95_1", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"www/skytemplate", "pkgname"=>"skytemplate-1.4.0", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"x11-fonts/fira", "pkgname"=>"fira-4.104", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"x11-fonts/noto", "pkgname"=>"noto-1.0.4_1", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"x11-fonts/proggy_fonts", "pkgname"=>"proggy_fonts-1.0_4", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"x11-fonts/symbola", "pkgname"=>"symbola-7.19_1", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"x11-fonts/tmu", "pkgname"=>"tmu-1.901.b", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"x11-fonts/wqy", "pkgname"=>"wqy-fonts-20100803_5,1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11-themes/gnome-icons-lila", "pkgname"=>"gnome-icons-lila-0.6.4", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"x11/xkbctrl", "pkgname"=>"xkbctrl-1.0_2", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"x11/xnodecor", "pkgname"=>"xnodecor-0.1_2", "phase"=>"patch", "errortype"=>"???"}

Error logs can be fetched from http://package22.nyi.freebsd.org/data/101i386-default-PR204056/2015-10-29_19h03m07s/logs/errors/
Comment 2 Mathieu Arnold freebsd_committer 2015-10-30 12:24:00 UTC
Created attachment 162598 [details]
fixing linux ports
Comment 3 Mathieu Arnold freebsd_committer 2015-10-30 12:24:43 UTC
Can you run an incremental build with either the patch I added here, or the full patch from the review ?
It should fix linux ports.
Comment 4 Antoine Brodin freebsd_committer 2015-10-30 13:25:22 UTC
Exp-run results look similar with or without linux patch applied.
Comment 5 Antoine Brodin freebsd_committer 2015-10-30 14:22:49 UTC
(In reply to Antoine Brodin from comment #4)
Actually, it's worse (some linux ports have a bad distinfo now)
Comment 6 Mathieu Arnold freebsd_committer 2015-11-03 13:41:01 UTC
Created attachment 162731 [details]
wrksrc-2015-11-03.diff
Comment 7 Mathieu Arnold freebsd_committer 2015-11-03 13:50:38 UTC
let's try again.
Comment 8 Antoine Brodin freebsd_committer 2015-11-04 17:34:20 UTC
New failures:

+ {"origin"=>"games/arkanoidsb", "pkgname"=>"arkanoidsb-1.3.2.10_1", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"games/legends", "pkgname"=>"legends-0.4.1.43_2", "phase"=>"extract", "errortype"=>"???"}
+ {"origin"=>"games/linux-darwinia-demo", "pkgname"=>"linux-darwinia-demo-1.3.0", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"games/linux-doom3", "pkgname"=>"linux-doom3-1.3.1.1304,1", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"games/linux-quake3", "pkgname"=>"linux-quake3-1.32c", "phase"=>"extract", "errortype"=>"???"}
+ {"origin"=>"games/linux-quake3-demo", "pkgname"=>"linux-quake3-demo-1.11.6_5", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"games/linux-quake4", "pkgname"=>"linux-quake4-1.4.2_1,1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/linux-quake4-demo", "pkgname"=>"linux-quake4-demo-1.0_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/linux-uplink-demo", "pkgname"=>"linux-uplink-demo-1.55", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"lang/linux-j", "pkgname"=>"linux-j-504b_3", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"multimedia/linux-tsmuxer", "pkgname"=>"linux-tsmuxer-1.10.6", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"net/spideroak", "pkgname"=>"spideroak-6.0", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"news/c-nocem", "pkgname"=>"c-nocem-3.7_4", "phase"=>"build-depends", "errortype"=>"???"}
+ {"origin"=>"www/linux-c6-flashplugin11", "pkgname"=>"linux-c6-flashplugin-11.2r202.540", "phase"=>"patch", "errortype"=>"???"}
+ {"origin"=>"www/linux-f10-flashplugin11", "pkgname"=>"linux-f10-flashplugin-11.2r202.540", "phase"=>"patch", "errortype"=>"???"}

Failure logs:

http://package22.nyi.freebsd.org/data/101i386-default-PR204056/2015-11-04_17h14m47s/logs/errors/arkanoidsb-1.3.2.10_1.log
http://package22.nyi.freebsd.org/data/101i386-default-PR204056/2015-11-04_17h14m47s/logs/errors/legends-0.4.1.43_2.log
http://package22.nyi.freebsd.org/data/101i386-default-PR204056/2015-11-04_17h14m47s/logs/errors/linux-darwinia-demo-1.3.0.log
http://package22.nyi.freebsd.org/data/101i386-default-PR204056/2015-11-04_17h14m47s/logs/errors/linux-doom3-1.3.1.1304,1.log
http://package22.nyi.freebsd.org/data/101i386-default-PR204056/2015-11-04_17h14m47s/logs/errors/linux-quake3-1.32c.log
http://package22.nyi.freebsd.org/data/101i386-default-PR204056/2015-11-04_17h14m47s/logs/errors/linux-quake3-demo-1.11.6_5.log
http://package22.nyi.freebsd.org/data/101i386-default-PR204056/2015-11-04_17h14m47s/logs/errors/linux-quake4-1.4.2_1,1.log
http://package22.nyi.freebsd.org/data/101i386-default-PR204056/2015-11-04_17h14m47s/logs/errors/linux-quake4-demo-1.0_1.log
http://package22.nyi.freebsd.org/data/101i386-default-PR204056/2015-11-04_17h14m47s/logs/errors/linux-uplink-demo-1.55.log
http://package22.nyi.freebsd.org/data/101i386-default-PR204056/2015-11-04_17h14m47s/logs/errors/linux-j-504b_3.log
http://package22.nyi.freebsd.org/data/101i386-default-PR204056/2015-11-04_17h14m47s/logs/errors/linux-tsmuxer-1.10.6.log
http://package22.nyi.freebsd.org/data/101i386-default-PR204056/2015-11-04_17h14m47s/logs/errors/spideroak-6.0.log
http://package22.nyi.freebsd.org/data/101i386-default-PR204056/2015-11-04_17h14m47s/logs/errors/c-nocem-3.7_4.log
http://package22.nyi.freebsd.org/data/101i386-default-PR204056/2015-11-04_17h14m47s/logs/errors/linux-c6-flashplugin-11.2r202.540.log
http://package22.nyi.freebsd.org/data/101i386-default-PR204056/2015-11-04_17h14m47s/logs/errors/linux-f10-flashplugin-11.2r202.540.log
Comment 9 commit-hook freebsd_committer 2015-11-05 12:35:43 UTC
A commit references this bug:

Author: mat
Date: Thu Nov  5 12:35:27 UTC 2015
New revision: 400846
URL: https://svnweb.freebsd.org/changeset/ports/400846

Log:
  Change the meaning of NO_WRKSUBDIR to force a WRKDIR != WRKSRC.

  Right now, NO_WRKSUBDIR means that the extraction does not produce a
  subdirectory, and that everything goes straight into WRKDIR.  It is
  problematic, because during the build of a port, quite a few files are
  created in there, and then, a stage directory, where everything is
  installed, and then a pkg directory where the package is created, and
  those often conflict, or get in the way, of the building process.

  With this, NO_WRKSUBDIR will extract the distfiles directly into WRKSRC
  instead of WRKDIR.  In this case, WRKSRC is artificial and is based on
  PKGNAME and not DISTNAME, mitigate conflicts with rc files.

  PR:		204056
  Submitted by:	mat
  Reviewed by:	bapt
  Exp-run:	antoine
  Sponsored by:	Absolight
  Differential Revision:	https://reviews.freebsd.org/D2735

Changes:
  head/CHANGES
  head/Mk/Uses/lha.mk
  head/Mk/Uses/pathfix.mk
  head/Mk/Uses/zip.mk
  head/Mk/bsd.linux-rpm.mk
  head/Mk/bsd.port.mk
Comment 10 commit-hook freebsd_committer 2015-11-05 12:36:44 UTC
A commit references this bug:

Author: mat
Date: Thu Nov  5 12:36:33 UTC 2015
New revision: 400848
URL: https://svnweb.freebsd.org/changeset/ports/400848

Log:
  Fix ports that confused the meaning of WRKDIR and WRKSRC.

  PR:		204056
  Submitted by:	mat
  Reviewed by:	bapt
  Sponsored by:	Absolight
  Differential Revision:	https://reviews.freebsd.org/D2735

Changes:
  head/archivers/paq/Makefile
  head/archivers/szip/Makefile
  head/archivers/undms/Makefile
  head/astro/geographiclib/Makefile
  head/audio/chordpack/Makefile
  head/audio/cue2toc/Makefile
  head/benchmarks/raidtest/Makefile
  head/benchmarks/stream/Makefile
  head/biology/gff2ps/Makefile
  head/chinese/CJKUnifonts/Makefile
  head/chinese/xpdf/Makefile
  head/comms/cdr_read/Makefile
  head/converters/unix2dos/Makefile
  head/devel/apr1/Makefile
  head/devel/cvs2html/Makefile
  head/devel/cweb/Makefile
  head/devel/easygit/Makefile
  head/devel/libcii/Makefile
  head/devel/libdlmalloc/Makefile
  head/devel/mingw32-bin-msvcrt/Makefile
  head/devel/py-json-py/Makefile
  head/devel/py-urlimport/Makefile
  head/devel/ruby-dialogs/Makefile
  head/devel/sedsed/Makefile
  head/devel/sfio/Makefile
  head/dns/dnswalk/Makefile
  head/dns/ipcheck/Makefile
  head/editors/omegaT/Makefile
  head/emulators/linux_base-c6/Makefile
  head/emulators/linux_base-f10/Makefile
  head/emulators/qmc2/Makefile
  head/emulators/simh/Makefile
  head/emulators/yape/Makefile
  head/games/alephone-data/Makefile
  head/games/alephone-scenarios/Makefile
  head/games/arkanoidsb/Makefile
  head/games/bogged/Makefile
  head/games/crafty-open-enormous/Makefile
  head/games/crafty-open-large/Makefile
  head/games/crafty-open-medium/Makefile
  head/games/doom-data/Makefile
  head/games/doom-hacx/Makefile
  head/games/doom-wolfendoom/Makefile
  head/games/legends/Makefile
  head/games/linux-darwinia-demo/Makefile
  head/games/linux-doom3/Makefile
  head/games/linux-quake3/Makefile
  head/games/linux-quake3-demo/Makefile
  head/games/linux-quake4/Makefile
  head/games/linux-quake4-demo/Makefile
  head/games/linux-uplink-demo/Makefile
  head/games/quake-dpmod/Makefile
  head/games/quake2-data/Makefile
  head/games/quake2-rogue/Makefile
  head/games/quake2-xatrix/Makefile
  head/games/quake3-data/Makefile
  head/games/rfksay/Makefile
  head/games/robocode/Makefile
  head/games/thudboard/Makefile
  head/games/traindirector/Makefile
  head/games/xasteroids/Makefile
  head/graphics/fujiplay/Makefile
  head/graphics/geoapi/Makefile
  head/graphics/gimp-jagged-border-script/Makefile
  head/graphics/mapyrus/Makefile
  head/graphics/openjump/Makefile
  head/graphics/pstoepsi/Makefile
  head/graphics/springgraph/Makefile
  head/irc/irssi-dcc_send_limiter/Makefile
  head/japanese/VTPSfont/Makefile
  head/japanese/a2ps/Makefile
  head/japanese/bugzilla44/Makefile
  head/japanese/edict/Makefile
  head/japanese/edict-utf-8/Makefile
  head/japanese/font-ayu18/Makefile
  head/japanese/font-ayu20/Makefile
  head/japanese/font-elisa10/Makefile
  head/japanese/font-elisa8/Makefile
  head/japanese/font-jisx0213/Makefile
  head/japanese/font-kaname12/Makefile
  head/japanese/font-kanji18/Makefile
  head/japanese/font-mona-ttf/Makefile
  head/japanese/gskk/Makefile
  head/japanese/jcode.pl/Makefile
  head/japanese/skk-jisyo/Makefile
  head/japanese/yc.el/Makefile
  head/japanese/zipcodes/Makefile
  head/java/eclipse-ecj/Makefile
  head/java/eclipse-pydev/Makefile
  head/java/javavmwrapper/Makefile
  head/java/jtiger/Makefile
  head/korean/kaistfonts/Makefile
  head/korean/ko.TeX/Makefile
  head/korean/ko.TeX-fonts-base/Makefile
  head/korean/ko.TeX-fonts-extra/Makefile
  head/lang/cmucl/Makefile
  head/lang/cmucl-extra/Makefile
  head/lang/linux-j/Makefile
  head/lang/smlnj/Makefile
  head/lang/tcl-manual/Makefile
  head/mail/gml/Makefile
  head/mail/imaptools/Makefile
  head/mail/mb2md/Makefile
  head/mail/msgconvert/Makefile
  head/mail/py-cyruslib/Makefile
  head/mail/rlytest/Makefile
  head/mail/x-face-e21/Makefile
  head/mail/xcite/Makefile
  head/math/jts/Makefile
  head/math/lll_spect/Makefile
  head/math/physcalc/Makefile
  head/math/solitaire/Makefile
  head/misc/amfm/Makefile
  head/misc/astrolog/Makefile
  head/misc/colwide/Makefile
  head/misc/figlet-fonts/Makefile
  head/misc/kenny/Makefile
  head/misc/metalink-editor/Makefile
  head/misc/umodunpack/Makefile
  head/multimedia/linux-tsmuxer/Makefile
  head/net/dictd-database/Makefile
  head/net/linux-f10-nss_ldap/Makefile
  head/net/lla/Makefile
  head/net/netpipes/Makefile
  head/net/radreport/Makefile
  head/net/spideroak/Makefile
  head/net/tcpshow/Makefile
  head/net-mgmt/icmpquery/Makefile
  head/net-mgmt/nagios-check_dhcp.pl/Makefile
  head/net-mgmt/nagios-check_tftp/Makefile
  head/net-p2p/frost/Makefile
  head/net-p2p/vuze/Makefile
  head/news/c-nocem/Makefile
  head/news/nnap/Makefile
  head/palm/pilot_makedoc/Makefile
  head/print/adobe-cmaps/Makefile
  head/print/enscriptfonts/Makefile
  head/print/ghostscript7-commfont/Makefile
  head/print/texlive-texmf/Makefile
  head/print/txtbdf2ps/Makefile
  head/russian/p5-XML-Parser-encodings/Makefile
  head/science/checkmol/Makefile
  head/science/medit/Makefile
  head/science/mol2ps/Makefile
  head/security/chaosreader/Makefile
  head/security/ipfilter2dshield/Makefile
  head/security/l0phtcrack/Makefile
  head/security/pxytest/Makefile
  head/security/py-htpasswd/Makefile
  head/security/sig2dot/Makefile
  head/security/sshblock/Makefile
  head/security/unhide/Makefile
  head/shells/v7sh/Makefile
  head/sysutils/3dm/Makefile
  head/sysutils/copytape/Makefile
  head/sysutils/pdixtract/Makefile
  head/sysutils/pstree/Makefile
  head/sysutils/sb16config/Makefile
  head/sysutils/setcdboot/Makefile
  head/sysutils/storcli/Makefile
  head/sysutils/vils/Makefile
  head/textproc/clit/Makefile
  head/textproc/diffsplit/Makefile
  head/textproc/foiltex/Makefile
  head/textproc/jarnal/Makefile
  head/textproc/ppower4/Makefile
  head/textproc/saxon-devel/Makefile
  head/vietnamese/vnroff/Makefile
  head/www/bareos-webui/Makefile
  head/www/cgi-lib.pl/Makefile
  head/www/closure-compiler/Makefile
  head/www/demoroniser/Makefile
  head/www/efront/Makefile
  head/www/fira-webfont/Makefile
  head/www/htmlpp/Makefile
  head/www/jawstats/Makefile
  head/www/jawstats/pkg-plist
  head/www/linux-c6-flashplugin11/Makefile
  head/www/mimetex/Makefile
  head/www/ruby-wgettsv/Makefile
  head/www/scloader/Makefile
  head/www/skytemplate/Makefile
  head/x11/xkbctrl/Makefile
  head/x11/xnodecor/Makefile
  head/x11-fonts/fira/Makefile
  head/x11-fonts/noto/Makefile
  head/x11-fonts/proggy_fonts/Makefile
  head/x11-fonts/symbola/Makefile
  head/x11-fonts/tmu/Makefile
  head/x11-fonts/wqy/Makefile
  head/x11-themes/gnome-icons/bsd.gnome-icons.mk
  head/x11-themes/gnome-icons-aqua-fusion/Makefile
  head/x11-themes/gnome-icons-crystal/Makefile
  head/x11-themes/gnome-icons-dropline-neu/Makefile
  head/x11-themes/gnome-icons-dropline-nou/Makefile
  head/x11-themes/gnome-icons-elementary/Makefile
  head/x11-themes/gnome-icons-gentoo-test/Makefile
  head/x11-themes/gnome-icons-gion/Makefile
  head/x11-themes/gnome-icons-iris/Makefile
  head/x11-themes/gnome-icons-noia-full/Makefile
  head/x11-themes/gnome-icons-noia-warm/Makefile
  head/x11-themes/gnome-icons-refined/Makefile
  head/x11-themes/gnome-icons-slick/Makefile
  head/x11-themes/gnome-icons-snow-apple/Makefile
  head/x11-themes/gnome-icons-stylish/Makefile
  head/x11-themes/gnome-icons-ximian-south/Makefile